Bug 1421092 - /usr/bin/mysql_plugin from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
Summary: /usr/bin/mysql_plugin from install of mariadb-server-utils-3:10.1.21-1.fc25.x...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 10:23 UTC by Dr. David Alan Gilbert
Modified: 2017-02-28 08:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 08:20:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Dr. David Alan Gilbert 2017-02-10 10:23:49 UTC
Description of problem:
Seen today on a normal update of my f25 laptop:
Error: Transaction check error:
  file /usr/bin/mysql_plugin from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqlbinlog from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqlcheck from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqldump from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqlimport from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqlshow from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/bin/mysqlslap from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysql_plugin.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqlbinlog.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqlcheck.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqldump.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqlimport.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqlshow.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64
  file /usr/share/man/man1/mysqlslap.1.gz from install of mariadb-server-utils-3:10.1.21-1.fc25.x86_64 conflicts with file from package community-mysql-5.7.17-1.fc25.x86_64


Version-Release number of selected component (if applicable):
Existing installed versions:
community-mysql-errmsg-5.7.17-1.fc25.x86_64
community-mysql-common-5.7.17-1.fc25.x86_64
community-mysql-5.7.17-1.fc25.x86_64
mariadb-common-10.1.20-1.fc25.x86_64
mariadb-errmsg-10.1.20-1.fc25.x86_64
mariadb-libs-10.1.20-1.fc25.x86_64
mariadb-config-10.1.20-1.fc25.x86_64
mariadb-server-10.1.20-1.fc25.x86_64


How reproducible:
?

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
The full set of updates run was:

Last metadata expiration check: 1:02:00 ago on Fri Feb 10 09:12:40 2017.
Dependencies resolved.
=====================================================================================================================
 Package                                    Arch              Version                      Repository           Size
=====================================================================================================================
Installing:
 gstreamer1-plugins-bad-free-gtk            x86_64            1.10.3-1.fc25                updates              32 k
 kernel                                     x86_64            4.9.8-201.fc25               updates              94 k
 kernel-core                                x86_64            4.9.8-201.fc25               updates              20 M
 kernel-devel                               x86_64            4.9.8-201.fc25               updates              11 M
 kernel-modules                             x86_64            4.9.8-201.fc25               updates              22 M
 kernel-modules-extra                       x86_64            4.9.8-201.fc25               updates             2.2 M
 mariadb-server-utils                       x86_64            3:10.1.21-1.fc25             updates             6.3 M
Upgrading:
 appstream-data                             noarch            25-16.fc25                   updates              13 M
 autocorr-en                                noarch            1:5.2.5.1-6.fc25             updates             206 k
 bluez                                      x86_64            5.43-2.fc25                  updates             1.1 M
 bluez-libs                                 x86_64            5.43-2.fc25                  updates              85 k
 bluez-libs-devel                           x86_64            5.43-2.fc25                  updates              54 k
 copy-jdk-configs                           noarch            2.1-1.fc25                   updates              19 k
 cppcheck                                   x86_64            1.77-1.fc25                  updates             1.1 M
 gnome-boxes                                x86_64            3.22.4-1.fc25                updates             1.0 M
 gnutls                                     x86_64            3.5.8-2.fc25                 updates             737 k
 gnutls-c++                                 x86_64            3.5.8-2.fc25                 updates              36 k
 gnutls-dane                                x86_64            3.5.8-2.fc25                 updates              37 k
 gnutls-devel                               x86_64            3.5.8-2.fc25                 updates             1.6 M
 gnutls-utils                               x86_64            3.5.8-2.fc25                 updates             289 k
 gpgme                                      x86_64            1.8.0-10.fc25                updates             196 k
 hwdata                                     noarch            0.297-1.fc25                 updates             947 k
 kernel-headers                             x86_64            4.9.8-201.fc25               updates             1.1 M
 kernel-tools                               x86_64            4.9.8-201.fc25               updates             204 k
 kernel-tools-libs                          x86_64            4.9.8-201.fc25               updates             103 k
 libgadu                                    x86_64            1.12.2-1.fc25                updates             107 k
 libreoffice                                x86_64            1:5.2.5.1-6.fc25             updates              76 k
 libreoffice-base                           x86_64            1:5.2.5.1-6.fc25             updates             2.6 M
 libreoffice-calc                           x86_64            1:5.2.5.1-6.fc25             updates             8.7 M
 libreoffice-core                           x86_64            1:5.2.5.1-6.fc25             updates              70 M
 libreoffice-data                           noarch            1:5.2.5.1-6.fc25             updates             3.4 M
 libreoffice-draw                           x86_64            1:5.2.5.1-6.fc25             updates             695 k
 libreoffice-emailmerge                     x86_64            1:5.2.5.1-6.fc25             updates              90 k
 libreoffice-gdb-debug-support              x86_64            1:5.2.5.1-6.fc25             updates             114 k
 libreoffice-graphicfilter                  x86_64            1:5.2.5.1-6.fc25             updates             455 k
 libreoffice-gtk2                           x86_64            1:5.2.5.1-6.fc25             updates             301 k
 libreoffice-gtk3                           x86_64            1:5.2.5.1-6.fc25             updates             310 k
 libreoffice-impress                        x86_64            1:5.2.5.1-6.fc25             updates             1.3 M
 libreoffice-langpack-en                    x86_64            1:5.2.5.1-6.fc25             updates              76 k
 libreoffice-math                           x86_64            1:5.2.5.1-6.fc25             updates             1.0 M
 libreoffice-ogltrans                       x86_64            1:5.2.5.1-6.fc25             updates             157 k
 libreoffice-opensymbol-fonts               noarch            1:5.2.5.1-6.fc25             updates             248 k
 libreoffice-pdfimport                      x86_64            1:5.2.5.1-6.fc25             updates             287 k
 libreoffice-pyuno                          x86_64            1:5.2.5.1-6.fc25             updates             540 k
 libreoffice-ure                            x86_64            1:5.2.5.1-6.fc25             updates             2.1 M
 libreoffice-ure-common                     noarch            1:5.2.5.1-6.fc25             updates             514 k
 libreoffice-writer                         x86_64            1:5.2.5.1-6.fc25             updates             4.2 M
 libreoffice-x11                            x86_64            1:5.2.5.1-6.fc25             updates             296 k
 libsmbclient                               x86_64            2:4.5.5-0.fc25               updates             124 k
 libsolv                                    x86_64            0.6.25-1.fc25                updates             360 k
 libwbclient                                x86_64            2:4.5.5-0.fc25               updates              99 k
 mariadb-common                             x86_64            3:10.1.21-1.fc25             updates              67 k
 mariadb-config                             x86_64            3:10.1.21-1.fc25             updates              30 k
 mariadb-errmsg                             x86_64            3:10.1.21-1.fc25             updates             204 k
 mariadb-libs                               x86_64            3:10.1.21-1.fc25             updates             656 k
 mariadb-server                             x86_64            3:10.1.21-1.fc25             updates              18 M
 openssh                                    x86_64            7.4p1-2.fc25                 updates             475 k
 openssh-clients                            x86_64            7.4p1-2.fc25                 updates             657 k
 openssh-server                             x86_64            7.4p1-2.fc25                 updates             464 k
 openssl                                    x86_64            1:1.0.2k-1.fc25              updates             494 k
 openssl-devel                              x86_64            1:1.0.2k-1.fc25              updates             1.5 M
 openssl-libs                               i686              1:1.0.2k-1.fc25              updates             1.0 M
 openssl-libs                               x86_64            1:1.0.2k-1.fc25              updates             1.2 M
 perf                                       x86_64            4.9.8-201.fc25               updates             1.5 M
 perl-Mojolicious                           noarch            7.23-1.fc25                  updates             845 k
 perl-Storable                              x86_64            1:2.56-368.fc25              updates              83 k
 python-perf                                x86_64            4.9.8-201.fc25               updates             193 k
 rsyslog                                    x86_64            8.24.0-2.fc25                updates             592 k
 samba-client                               x86_64            2:4.5.5-0.fc25               updates             549 k
 samba-client-libs                          x86_64            2:4.5.5-0.fc25               updates             4.6 M
 samba-common                               noarch            2:4.5.5-0.fc25               updates             188 k
 samba-common-libs                          x86_64            2:4.5.5-0.fc25               updates             159 k
 samba-common-tools                         x86_64            2:4.5.5-0.fc25               updates             450 k
 samba-libs                                 x86_64            2:4.5.5-0.fc25               updates             256 k
 spice-server                               x86_64            0.13.3-2.fc25                updates             401 k
 spice-server-devel                         x86_64            0.13.3-2.fc25                updates              22 k
 vim-X11                                    x86_64            2:8.0.314-1.fc25             updates             1.4 M
 vim-common                                 x86_64            2:8.0.314-1.fc25             updates             6.6 M
 vim-enhanced                               x86_64            2:8.0.314-1.fc25             updates             1.2 M
 vim-filesystem                             x86_64            2:8.0.314-1.fc25             updates              31 k
 vim-minimal                                x86_64            2:8.0.314-1.fc25             updates             515 k
 wireshark                                  x86_64            2.2.4-1.fc25                 updates              31 k
 wireshark-cli                              x86_64            2.2.4-1.fc25                 updates              16 M
 wireshark-devel                            x86_64            2.2.4-1.fc25                 updates             1.1 M
 wireshark-gtk                              x86_64            2.2.4-1.fc25                 updates             987 k
 xfce4-terminal                             x86_64            0.8.4-1.fc25                 updates             595 k
Removing:
 kernel                                     x86_64            4.9.4-201.fc25               @updates              0  
 kernel-core                                x86_64            4.9.4-201.fc25               @updates             53 M
 kernel-devel                               x86_64            4.9.4-201.fc25               @updates             41 M
 kernel-modules                             x86_64            4.9.4-201.fc25               @updates             22 M
 kernel-modules-extra                       x86_64            4.9.4-201.fc25               @updates            2.0 M

Comment 1 Michal Schorm 2017-02-10 11:40:45 UTC
You do mean a "DNF upgrade" command, right?

I think I see, where the problem comes from.
I'll take a look at that.

Comment 2 Dr. David Alan Gilbert 2017-02-10 11:43:07 UTC
(In reply to Michal Schorm from comment #1)
> You do mean a "DNF upgrade" command, right?
> 
> I think I see, where the problem comes from.
> I'll take a look at that.

yum update   actually, but I think that just runs yum update.

Comment 3 Dr. David Alan Gilbert 2017-02-10 11:43:25 UTC
I mean...runs dnf update

Comment 4 Michal Schorm 2017-02-16 11:43:13 UTC
I found the actual cause and solution.

I started my way to deliver those patches (for both MySQL and MariaDB) ASAP (which - unfortunatelly - will still last a week or two)

Comment 5 Fedora Update System 2017-02-16 15:19:50 UTC
community-mysql-5.7.17-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-df0e73dc61

Comment 6 Fedora Update System 2017-02-16 15:19:56 UTC
community-mysql-5.7.17-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c3682edaf

Comment 7 Fedora Update System 2017-02-16 15:24:10 UTC
mariadb-10.1.21-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5c4762f71

Comment 8 Fedora Update System 2017-02-16 15:24:17 UTC
mariadb-10.1.21-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dda23cd5a

Comment 9 Fedora Update System 2017-02-17 00:52:10 UTC
community-mysql-5.7.17-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-df0e73dc61

Comment 10 Fedora Update System 2017-02-17 00:52:14 UTC
mariadb-10.1.21-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dda23cd5a

Comment 11 Fedora Update System 2017-02-17 15:27:02 UTC
community-mysql-5.7.17-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c3682edaf

Comment 12 Fedora Update System 2017-02-17 15:27:06 UTC
mariadb-10.1.21-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5c4762f71

Comment 13 Fedora Update System 2017-02-19 22:47:49 UTC
community-mysql-5.7.17-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-02-19 22:47:53 UTC
mariadb-10.1.21-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-20 04:19:01 UTC
community-mysql-5.7.17-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-20 04:19:04 UTC
mariadb-10.1.21-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Dr. David Alan Gilbert 2017-02-20 09:30:39 UTC
Thanks, that seems to have allowed the update.

Comment 18 Michal Schorm 2017-02-20 10:11:37 UTC
I gladly helped :)

However, because of another issue, I'm unable to build this update into the Rawhide. I will left this bug open as a tracker for the rawhide.

Feel free to unsubscribe from CC list at the top right.

Comment 19 Michal Schorm 2017-02-28 08:20:07 UTC
Rawhide build is built and on its way to the stable.


Note You need to log in before you can comment on or make changes to this bug.